body {
    margin:0; 
    background:black;
    overflow:hidden;
    font-family:sans-serif;
}

video, iframe.fullscreen {
    width:100%;
    height:100%;
    border:none;
    pointer-events:none;
}

iframe.fullscreen-interactive {
    width:100%;
    height:100%;
    border:none;
    pointer-events:auto;
    position:relative;
    z-index:201;
}

#video { 
    background:black;
}

#controls {
    position:fixed;
    bottom:0;
    width:100%;
    height:100px;
    background:rgba(0,0,0,0.45);
    display:flex;
    align-items:center;
    padding:10px;
    opacity:1;
    transition:opacity .3s;
}
#controls.hide { opacity:0; }

.btn {
    color:white;
    background:none;
    border:2px solid transparent;
    font-size:28px;
    margin:0 10px;
    cursor:pointer;
    outline:none;
    padding:5px 10px;
    border-radius:6px;
    transition: border-color 0.2s, box-shadow 0.2s, background 0.2s;
}

.btnBack {
    color:white;
    background:none;
    border:2px solid transparent;
    font-size:28px;
    margin:0 30px;
    cursor:pointer;
    outline:none;
    padding:5px 20px;
    border-radius:6px;
    transition: border-color 0.2s, box-shadow 0.2s, background 0.2s;
}

.btn.focused {
    color: #2196F3;
}

#progress-wrapper {
    flex:1;
    display:flex;
    align-items: center;
    margin: 0 10px;
}

#progress-container {
    flex:1;
    height: 6px;
    position: relative;
    background: #444;
    border-radius: 3px;
    margin-right: 10px;
}

#progressBar {
    position: absolute;
    height: 100%;
    width: 0%;
    background: #1e90ff;
    border-radius: 3px;
    margin-right:1em;
}

#progressDot {
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 16px;
    height: 16px;
    background: #fff;
    border-radius: 50%;
    border: 2px solid #1e90ff;
    left: 0%;
}

#time {
    font-size: 1.2em;
    color: white;
    white-space: nowrap;
    font-size:1.5em; 
    margin-left:1em; 
    margin-right:2em;
}
